﻿using System.Collections.Generic;

namespace MyKindGirls.Database
{
    public class KindGirlsDatabase
    {
        public static IKindGirlsDatabase _database = DatabaseFactory.GetKindGirlsDatabase();

        private KindGirlsDatabase() { }

        static KindGirlsDatabase() { }

        public static void ReOpen()
        {
            Dispose();
            _database = DatabaseFactory.GetKindGirlsDatabase();
        }

        public static void Dispose()
        {
            if (_database != null)
            {
                _database.Dispose();
            }
        }

        public static int AddPicture(string strLink, string strFilename, string strModeltitle, string strPictureTitle)
        {
            return _database.AddPicture(strLink, strFilename, strModeltitle, strPictureTitle);
        }

        public static int ListModels(ref List<string> Models)
        {
            return _database.ListModels(ref Models);
        }

        public static int ListFilesForModel(string Model, ref List<string[]> Files)
        {
            return _database.ListFilesForModel(Model, ref Files);
        }

        public static string GetFilenameForModel(string Model)
        {
            return _database.GetFilenameForModel(Model);
        }

        public static int ListFilesForSlideshow(ref List<string> Files)
        {
            return _database.ListFilesForSlideshow(ref Files);
        }

        public static string DatabaseName
        {
            get
            {
                if (_database != null)
                {
                    return _database.DatabaseName;
                }
                return "";
            }
        }
    }
}
